package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="com-domain-ChindrenDayDegreeDetail")
public class ChildrenDayDegreeDetail {
    @ApiModelProperty(value="")
    private Integer id;

    /**
    * 预约id
    */
    @ApiModelProperty(value="预约id")
    private Integer reserveId;

    /**
    * 学生id
    */
    @ApiModelProperty(value="学生id")
    private Integer userId;

    /**
    * 类型 1-乐器考级 2-乐理考级 3-vip 4-乐理
    */
    @ApiModelProperty(value="类型 1-乐器考级 2-乐理考级 3-vip 4-乐理")
    private Integer type;

    /**
    * 声部id
    */
    @ApiModelProperty(value="声部id")
    private Integer subjectId;

    /**
    * 考级等级
    */
    @ApiModelProperty(value="考级等级")
    private Integer level;

    /**
    * 价格
    */
    @ApiModelProperty(value="价格")
    private BigDecimal price;

    /**
    * 1-支付中 2-已支付 3-支付失败
    */
    @ApiModelProperty(value="1-支付中 2-已支付 3-支付失败")
    private Integer status;

    /**
     * 关联订单id
     */
    @ApiModelProperty(value="关联订单号")
    private Long orderId;

    @ApiModelProperty(value="")
    private Date createTime;

    @ApiModelProperty(value="")
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getReserveId() {
        return reserveId;
    }

    public void setReserveId(Integer reserveId) {
        this.reserveId = reserveId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", reserveId=").append(reserveId);
        sb.append(", userId=").append(userId);
        sb.append(", type=").append(type);
        sb.append(", subjectId=").append(subjectId);
        sb.append(", level=").append(level);
        sb.append(", price=").append(price);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }
}
